package com.huigou.topsun.customer.domain;

import com.huigou.data.domain.model.AbstractEntity;
import com.huigou.util.StringUtil;
import lombok.Data;

/**
 * title:
 * author:ZHT
 * date:2023/12/21
 * description:
 */
@Data
public class MonthlySettlementMethodData extends AbstractEntity {

    private String tmpId;
    /**
     * 名称
     */
    private String name;

    /**
     * 序列
     */
    private String sequence;

    /**
     * 状态
     */
    private String status;

    private String message;

    public boolean isError() {
        if (StringUtil.isBlank(status)) {
            return false;
        }
        if (status.equals("2")) {
            return true;
        }
        return false;
    }
}
